> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.givechariot.com/v2026-04-01/api/donor-advised-funds/list/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server. # List Donor Advised Funds GET https://api.givechariot.com/v1/dafs Returns a list of all Donor Advised Funds within Chariot's system. This API allows for paginating over many results. If there are DAFs missing from the list, please contact support at [support@givechariot.com](mailto:support@givechariot.com). Reference: https://docs.givechariot.com/api/donor-advised-funds/list ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.givechariot.com` (Production, default) - `https://sandboxapi.givechariot.com` (Sandbox) ## Request ### Query parameters - `supportedOnly` (boolean, optional, default: false) — If set to true, filters DAFs to only those that have a direct integration with Chariot. - `query` (string, optional) — If included, filters DAFs to only those that contain the query. This parameter is case insensitive. - `pageLimit` (integer, optional, default: 10) — the number of results to return; defaults to 10, max is 100 - `pageToken` (string, optional) — A token to use to retrieve the next page of results. This is useful for paginating over many pages of results. If set, all other arguments are expected to be kept the same as previous calls. ## Response ### 200 The response for Dafs.list - `results` (list of Daf, optional) - `nextPageToken` (string, optional) — A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only substituting the pageToken with this value). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server. ## Errors ### 400 Bad Request Error The request is invalid or contains invalid parameters - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 401 Unauthorized Error Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller. - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ### 500 Internal Server Error Internal Server Error - `type` (string, required) — A URI reference identifying the problem type. - `title` (string, required) — A short, human-readable summary of the problem type. - `status` (integer, required) — The HTTP status code for this error. - `detail` (string, required) — A human-readable explanation specific to this occurrence. ## Types ### Daf A Donor-Advised Fund, or `DAF` for short, is a special-purpose, tax-advantaged charitable account. For more information, please see the [IRS website](https://www.irs.gov/charities-non-profits/charitable-organizations/donor-advised-funds) for a full description. In the case that a DAF is supported, a donor will be able to initiate a grant directly through DAFpay. - `id` (string, required) — The unique identifier for this object. - `orgName` (string, required) — A human readable name for the DAF. - `address` (string, required) — The first address line. - `address2` (string, required) — The second address line. - `city` (string, required) — The city name for the address. - `state` (string, required) — The state name for the address. - `zip` (string, required) — The zipcode for the address. - `supported` (boolean, required) — A flag to indicate if this DAF is supported by DAFpay. - `minimumGrantAmount` (double, required) — The minimum grant amount in cents allowed for this DAF. - `institutionDown` (boolean, required) — A flag to indicate if the institution is down. ## Examples **Response** ```json { "results": [ { "id": "0bf40881-8ee2-47fb-98ca-f58c7999aa34", "orgName": "National Philanthropic Trust", "address": "123 Main St.", "address2": "Apt 100", "city": "New York", "state": "NY", "zip": "12345", "supported": true, "minimumGrantAmount": 5000, "institutionDown": false } ], "nextPageToken": "c3f685f2-2dda-4956-815b-39867a5e5638" } ```